{
  name: "Assault Vest",
  spritenum: 581,
  fling: {
  	basePower: 80,
  },
  onModifySpDPriority: 1,
  onModifySpD(spd) {
  	return this.chainModify(1.5);
  },
  onDisableMove(pokemon) {
  	for (const moveSlot of pokemon.moveSlots) {
  		const move = this.dex.moves.get(moveSlot.id);
  		if (move.category === 'Status' && move.id !== 'mefirst') {
  			pokemon.disableMove(moveSlot.id);
  		}
  	}
  },
  num: 640,
  gen: 6,
}